/***************************************************************************
 *            gconf-keys.h
 *
 *  Sun Jan 30 13:10:16 2005
 *  Copyright  2005  Julen Landa Alustiza
 *  julen@mundurat.net
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _GCONF-KEYS_H 
#define _GCONF-KEYS_H 

#ifdef __cplusplus
extern "C"
{
#endif

enum {IS_SETUP = 0,  /* have we actually set up this instance of the
			applet (gets set to true after closing
			prefences dialog) */
      FAHRENHEIT, /* use fahrenheit temp scale or not (otherwise
		     celcius) */
      SHOW_LABELS, /* show labels or not */
      SHOW_UNITS,
      TIMEOUT, /* delay (in ms) between refreshes */
};

/* gconf keys */
static const gchar *gconf_keys[] = {"setup", 
				    "fahrenheit", 
				    "show_labels",
				    "show_units",
				    "timeout_delay",
				    };

#ifdef __cplusplus
}
#endif

#endif /* _GCONF-KEYS_H */
