/***************************************************************************
 *            hddtemp-applet.h
 *
 *  Fri Jan 28 17:52:19 2005
 *  Copyright  2005  Julen Landa Alustiza
 *  julen@mundurat.net
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _HDDTEMP_APPLET_H
#define _HDDTEMP_APPLET_H 
#define VERSION 0
#include <gtk/gtk.h>
#include <panel-applet.h>
#include <gconf/gconf-client.h>

#ifdef __cplusplus
extern "C"
{
#endif
static const char applet_iid[] = "OAFIID:GNOME_HDDTempApplet";
static const char factory_iid[] = "OAFIID:GNOME_HDDTempApplet_Factory";
	
typedef struct _HddtempApplet
{
	PanelApplet *applet;
	GtkWidget *temp;
	GtkWidget *unit;
	GtkWidget *name;
	GtkWidget *hbox; //bestiak bertan sartzeko
	GtkWidget *preferences;
	GtkWidget *about;
	guint updatetimer;
	gboolean _preferences;
	GConfClient *client;
} HddtempApplet;

void sensors_update(HddtempApplet *applet);
void applet_update(HddtempApplet *applet);

#ifdef __cplusplus
}
#endif

#endif /* _HDDTEMP-APPLET_H */
